package com.jay.monitor.data.server.models.request.route;

import com.jay.monitor.data.core.model.response.PageRequestModel;

import java.util.Date;

/**
 * 后台路由管理
 *
 * @author liukx
 * @Date 2019-02-28 15:16
 */
public class BackstageRoutePageRequest extends PageRequestModel {

    private Integer id;
    private String project;
    private String url;
    private String method;
    private String module;
    private String produces;
    private String remark;
    private String author;
    private String checkRule;
    private Integer isValid;
    private Integer status;
    private Date created;
    private Date updated;
    private String creator;
    private String updator;

    /**
     * 获取: Id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置: Id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取: 项目
     */
    public String getProject() {
        return project;
    }

    /**
     * 设置: 项目
     */
    public void setProject(String project) {
        this.project = project;
    }

    /**
     * 获取: 路由地址
     */
    public String getUrl() {
        return url;
    }

    /**
     * 设置: 路由地址
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * 获取: 请求方法
     */
    public String getMethod() {
        return method;
    }

    /**
     * 设置: 请求方法
     */
    public void setMethod(String method) {
        this.method = method;
    }

    /**
     * 获取: 模块
     */
    public String getModule() {
        return module;
    }

    /**
     * 设置: 模块
     */
    public void setModule(String module) {
        this.module = module;
    }

    /**
     * 获取: 请求类型
     */
    public String getProduces() {
        return produces;
    }

    /**
     * 设置: 请求类型
     */
    public void setProduces(String produces) {
        this.produces = produces;
    }

    /**
     * 获取: 描述
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置: 描述
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 获取: 作者
     */
    public String getAuthor() {
        return author;
    }

    /**
     * 设置: 作者
     */
    public void setAuthor(String author) {
        this.author = author;
    }

    /**
     * 获取: 校验规则
     */
    public String getCheckRule() {
        return checkRule;
    }

    /**
     * 设置: 校验规则
     */
    public void setCheckRule(String checkRule) {
        this.checkRule = checkRule;
    }

    /**
     * 获取: 是否有效 1 有效 0无效
     */
    public Integer getIsValid() {
        return isValid;
    }

    /**
     * 设置: 是否有效 1 有效 0无效
     */
    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取: 状态：1  有效  -1  无效
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置: 状态：1  有效  -1  无效
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 获取: 创建时间
     */
    public Date getCreated() {
        return created;
    }

    /**
     * 设置: 创建时间
     */
    public void setCreated(Date created) {
        this.created = created;
    }

    /**
     * 获取: 修改时间
     */
    public Date getUpdated() {
        return updated;
    }

    /**
     * 设置: 修改时间
     */
    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    /**
     * 获取: 创建者
     */
    public String getCreator() {
        return creator;
    }

    /**
     * 设置: 创建者
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * 获取: 修改者
     */
    public String getUpdator() {
        return updator;
    }

    /**
     * 设置: 修改者
     */
    public void setUpdator(String updator) {
        this.updator = updator;
    }
}
